%define rhugversion 20031016
%define rhugsource1 classpathx-mail-%{version} upstream
%define rhugpatches 4

Summary: GNU JavaMail framework
Name: javamail
Version: 20031006
Release: 1.XOS.1
URL: http://www.gnu.org/software/classpathx/
Source: rhug-classpathx-mail-%{rhugversion}.tar.bz2
Source1: classpathx-mail-%{version}.tar.bz2
Patch1: %{name}-20031006-release.patch
Patch2: %{name}-20031006-buildclasspath.patch
Patch3: %{name}-20031006-hammer.patch
Patch4: %{name}-20031006-nonntp.patch
Patch5: %{name}-20031006-rfc2822.patch
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++-ssa
BuildPrereq: gcc-java-ssa >= 3.5ssa-0.20030801.34
BuildPrereq: jaf
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj-ssa >= 3.5ssa-0.20030801.34
Requires: jaf
ExclusiveArch: i386 x86_64 ppc ia64

%description
The JavaMail framework is a protocol independent API for messaging
applications.

%package devel
Summary: CNI headers for developing JavaMail applications
Group: Development/Libraries
Requires: javamail = %{version}-%{release}

%description devel
The javamail-devel package contains the headers required to develop
Cygnus Native Interface (CNI) extensions that use the JavaMail
framework with gcj.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .release
%patch2 -p0 -b .buildclasspath
%patch3 -p0 -b .hammer
%patch4 -p0 -b .nonntp
%patch5 -p0 -b .rfc2822
mv ChangeLog ChangeLog.rhug

%build
CC=gcc-ssa CXX=g++-ssa GCJ=gcj-ssa GCJH=gcjh-ssa \
./configure --disable-static --prefix=%{_prefix} --libdir=%{_libdir}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-mail.so \
    %{_libdir}/lib-gnu-mail.so \
    %{_libdir}/lib-gnu-mail-providers-imap.so \
    %{_libdir}/lib-gnu-mail-providers-maildir.so \
    %{_libdir}/lib-gnu-mail-providers-mbox.so \
    %{_libdir}/lib-gnu-mail-providers-pop3.so \
    %{_libdir}/lib-gnu-mail-providers-smtp.so \
    %{_datadir}/java/mail.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-mail.so \
    %{_libdir}/lib-gnu-mail.so \
    %{_libdir}/lib-gnu-mail-providers-imap.so \
    %{_libdir}/lib-gnu-mail-providers-maildir.so \
    %{_libdir}/lib-gnu-mail-providers-mbox.so \
    %{_libdir}/lib-gnu-mail-providers-pop3.so \
    %{_libdir}/lib-gnu-mail-providers-smtp.so \
    %{_datadir}/java/mail.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/{AUTHORS,COPYING,INSTALL,NEWS} upstream/README*
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/javax/mail
%{_includedir}/gnu/mail

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 20031006-1.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on javamail-20031006-1.src.rpm
  (md5sum of original source rpm: ba61cc14574a518b45a05f1a3dc05d85).

* Thu Oct 23 2003 Gary Benson <gbenson@redhat.com> 20031006-1
- Fix a couple of bugs in RFC2822OutputStream.java.

* Fri Oct 17 2003 Gary Benson <gbenson@redhat.com>
- Initial Red Hat Linux build.

* Wed Oct 15 2003 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
